Update gnome-system-tools, liboobs and system-tools-backends

Bug #506365 reported by Chris Coulson on 2010-01-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-system-tools (Ubuntu)
Wishlist
Chris Coulson
liboobs (Ubuntu)
Wishlist
Chris Coulson
system-tools-backends (Ubuntu)
Wishlist
Chris Coulson

Bug Description

Binary package hint: gnome-system-tools

This is a workflow bug for updating g-s-t, s-t-b and liboobs. I'm tracking them in one bug as the 3 updates are inter-dependent and will need to be managed properly to ensure a smooth transision

Changed in gnome-system-tools (Ubuntu):
assignee: nobody → Chris Coulson (chrisccoulson)
importance: Undecided → Wishlist
status: New → In Progress
Changed in liboobs (Ubuntu):
assignee: nobody → Chris Coulson (chrisccoulson)
importance: Undecided → Wishlist
status: New → In Progress
Changed in system-tools-backends (Ubuntu):
assignee: nobody → Chris Coulson (chrisccoulson)
importance: Undecided → Wishlist
status: New → In Progress
Milan Bouchet-Valat (nalimilan) wrote :

If that can save you a failed attempt, you'll need liboobs 2.29.2.1 to build gnome-system-tools. The original 2.9.2 release was broken.

Milan Bouchet-Valat (nalimilan) wrote :

You will want to package directly the System Tools Backends 2.8.1 which I have just released, they bring a few interesting fixes.

Milan Bouchet-Valat (nalimilan) wrote :

Chris, would you bring services-admin back in your package? Real upstart support is not here yet (although I may do this for the final release), but services that are the more interesting to see are old SysV ones, since they can be disabled without harming your system, and they are always started on boot even when not needed. services-admin is at least fully compatible with upstart jobs (it won't mess with them for now).

Changed in system-tools-backends (Ubuntu):
status: In Progress → Fix Committed
Changed in liboobs (Ubuntu):
status: In Progress → Fix Committed
Chris Coulson (chrisccoulson) wrote :

This is currently blocked, as system-tools-backends needs libauthen-pam-perl, which is in universe. I need to do a MIR before I can progress this any further

Changed in gnome-system-tools (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-tools-backends - 2.9.1-0ubuntu1

---------------
system-tools-backends (2.9.1-0ubuntu1) lucid; urgency=low

  * Sync with Debian testing
  * New upstream release (LP: #506365)
    - New users and groups protocol
    - Fix D-Bus .service files to work with new users and groups version
    - Add a new authentication interface allowing to check for PolicyKit
      authorizations before committing
    - Fix SelfConfig and improve security checks
  * debian/watch:
    - Watch 2.9.x series
  * debian/control:
    - Bump libpolkit-gobject-1-dev build-dep
  * Drop debian/patches/08_use_md5t.patch: Obsolete with new version
  * Refresh 02ubuntu_chmod_network_interfaces_when_using_key.patch
  * debian/patches/04_dont_use_authen_pam.patch:
    - Drop superfluous "use Authen::PAM", as it's not needed
 -- Chris Coulson <email address hidden> Thu, 04 Feb 2010 23:46:30 +0000

Changed in system-tools-backends (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package liboobs - 2.29.3-0ubuntu1

---------------
liboobs (2.29.3-0ubuntu1) lucid; urgency=low

  * New upstream version (LP: #506365)
  * debian/control:
    - Bump s-t-b dependencies to >= 2.9.1
    - Don't depend on passwd
  * Drop debian/patches/use-chpasswd.patch: the change is obsolete in the
    new version
 -- Chris Coulson <email address hidden> Fri, 05 Feb 2010 00:13:14 +0000

Changed in liboobs (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-system-tools - 2.29.3-0ubuntu1

---------------
gnome-system-tools (2.29.3-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #506365)
    - Move to new System Tools Backends protocol (new liboobs API).
      We now only commit changes to one user at a time, reducing the
      risk for dangerous bugs.
    - Include default profiles configuration file (user-profiles.conf).
      Distributors should modify it to suit their needs and send them
      back for inclusion.
    - When creating an user, don't force UID, main group, home directory
      and shell: these parameters are now handled (better) by the platform
      tools (LP: #488158, LP: #313990)
    - Allow removing home directory when deleting an user (LP: #426125).
    - Don't allow deleting the last administrator account, and warn when
      the user is losing its own admin rights. Same for active users
      (LP: #25947, LP: #349453)
    - Don't allow creating a group with an existing GID (LP: #491434)
    - Use UID and GID ranges defined by liboobs, depending on the platform's
      abilities.
    - Clear suggested login entry when Real name is emptied in the new user
      dialog.
    - Change GConf "showall" option to apply only on users. System groups are
      always shown, since they are the most interesting ones.
    - Various UI and string improvements.
    - Change password for current user by running 'passwd', to avoid
      breaking keyrings and encrypted dirs
    - Ask for PolicyKit authentication when it most makes sense, i.e.
      when showing dialogs
    - Option to set encrypted home directories when creating users (on
      platforms that support it) (LP: #302870)
    - When editing one group, only commit changes to that group
    - When changing Real name, update it in the users list (LP: #498970)
    - Select current user on start, and the first one after selected user
      has been deleted
    - Don't force updating configuration twice on start
  * Also fixes LP: #344182, LP: #208057, LP: #188757, LP: #372695,
    LP: #99276, LP: #160862
  * debian/control:
    - Bump liboobs-dev build-dep to 2.29.3
  * debian/gnome-system-tools.install:
    - Don't install debian/profile
    - Install upstream user-profiles.conf instead
  * Delete debian/profiles
  * Refreshed patches:
    - 25_sambashare_group_definition.patch
    - 90_relibtoolize.patch
  * Dropped debian/patches/85_user_gnome_about_me_for_password.patch:
    - The change is obsolete in the new version
  * debian/patches/82_gst-packages-time-admin.patch:
    - Updated to remove superfluous UI file changes, causing focus issues
      in the users-admin password change dialog. Thanks to Will for
      spotting this (LP: #501976)
 -- Chris Coulson <email address hidden> Fri, 05 Feb 2010 15:30:10 +0000

Changed in gnome-system-tools (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers